Bug 65497 - gcj can't find package java.lang
Summary: gcj can't find package java.lang
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-25 22:40 UTC by Robert M. Riches Jr.
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 20:39:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tiny source program (117 bytes, text/plain)
2002-05-25 22:41 UTC, Robert M. Riches Jr.
no flags Details

Description Robert M. Riches Jr. 2002-05-25 22:40:25 UTC
Description of Problem:
gcj can't find package java.lang and refuses to compile

Version-Release number of selected component (if applicable):
binutils-2.10.91.0.2-3
gcc-java-2.96-87
gdb-5.1-0.71
gdbm-1.8.0-6
gdbm-devel-1.8.0-6
libgcj-2.96-24.1
libgcj-devel-2.96-24.1

How Reproducible:
100%

Steps to Reproduce:
1. unsetenv CLASSPATH
2. gcj --main=tinygcj -o tinygcj tinygcj.java
3. 

Actual Results:
tinygcj.java:0: Can't find default package `java.lang'. Check the CLASSPATH
environment variable and the access to the archives.
1 error


Expected Results:
gcj should have compiled the program into an executable

Additional Information:
	I appear to have versions equal or later than the ones
described in Craig Delger and Mark Sobell's technical paper on
gcj (published by Redhat).  I have no environment variables that
appear capable of interfering with gcj.

Comment 1 Robert M. Riches Jr. 2002-05-25 22:41:14 UTC
Created attachment 58544 [details]
tiny source program

Comment 2 Alan Cox 2002-12-15 20:39:07 UTC
Missing libgcj
Confirmed the dependancy is present in 8.0


Comment 3 Robert M. Riches Jr. 2002-12-16 00:29:35 UTC
So, if 8.0 is the current release, and this bug was reported
on the Alpha hardware architecture, can you tell me when
8.0 for Alpha will be released?????  :-)  :-(  :-(



Note You need to log in before you can comment on or make changes to this bug.